package reference;

import eng.GameState;

public class GameStateDirectory {
	
	public static GameState getGameState(String gameState) {
		
		//format: "eventType, eventName"
		
		if(gameState.substring(0, gameState.indexOf(',')).equals("Level"))
			return Levels.getLevel(gameState.substring(gameState.indexOf(',') + 2));
		
		return null;
	}
}